com.sun.javadoc

## Interface ConstructorDoc

- All Superinterfaces:
    Comparable<Object>, Doc, ExecutableMemberDoc, MemberDoc, ProgramElementDoc

      public interface ConstructorDoc
      extends ExecutableMemberDoc

  Represents a constructor of a java class.
  Since:
    1.2

- - ### Method Summary

    - ### Methods inherited from interface com.sun.javadoc.ExecutableMemberDoc

      `flatSignature, isNative, isSynchronized, isVarArgs, parameters, paramTags, receiverType, signature, thrownExceptions, thrownExceptionTypes, throwsTags, typeParameters, typeParamTags`

    - ### Methods inherited from interface com.sun.javadoc.MemberDoc

      `isSynthetic`

    - ### Methods inherited from interface com.sun.javadoc.ProgramElementDoc

      `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

    - ### Methods inherited from interface com.sun.javadoc.Doc

      `commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 1993, 2015, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.